<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="emotion-museum-backend" />
        <module name="emotion-single" />
      </profile>
      <profile name="Annotation profile for emotion-museum-server" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <processorPath useClasspath="false">
          <entry name="$MAVEN_REPOSITORY$/org/projectlombok/lombok/1.18.30/lombok-1.18.30.jar" />
        </processorPath>
        <module name="emotion-museum-server" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="admin" target="17" />
      <module name="admin-api" target="17" />
      <module name="admin-server" target="17" />
      <module name="ai" target="17" />
      <module name="ai-api" target="17" />
      <module name="ai-server" target="17" />
      <module name="auth" target="17" />
      <module name="auth-api" target="17" />
      <module name="auth-server" target="17" />
      <module name="backend" target="17" />
      <module name="common" target="17" />
      <module name="customer" target="17" />
      <module name="emotion-ai" target="17" />
      <module name="emotion-auth" target="1.5" />
      <module name="emotion-common" target="17" />
      <module name="emotion-explore" target="17" />
      <module name="emotion-gateway" target="17" />
      <module name="emotion-growth" target="17" />
      <module name="emotion-record" target="17" />
      <module name="emotion-reward" target="17" />
      <module name="emotion-stats" target="17" />
      <module name="emotion-user" target="17" />
      <module name="explore" target="17" />
      <module name="explore-api" target="17" />
      <module name="explore-server" target="17" />
      <module name="gateway" target="17" />
      <module name="growth" target="17" />
      <module name="growth-api" target="17" />
      <module name="growth-server" target="17" />
      <module name="record" target="17" />
      <module name="record-api" target="17" />
      <module name="record-server" target="17" />
      <module name="reward" target="17" />
      <module name="reward-api" target="17" />
      <module name="reward-server" target="17" />
      <module name="server" target="1.5" />
      <module name="service" target="17" />
      <module name="stats" target="17" />
      <module name="stats-api" target="17" />
      <module name="stats-server" target="17" />
      <module name="user" target="17" />
      <module name="user-api" target="17" />
      <module name="user-server" target="17" />
      <module name="websocket" target="17" />
      <module name="websocket-api" target="17" />
      <module name="websocket-server" target="17" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="backend" options="" />
      <module name="common" options="" />
      <module name="customer" options="" />
      <module name="emotion-museum-backend" options="-parameters" />
      <module name="emotion-museum-server" options="-parameters" />
    </option>
  </component>
</project>